Package com.smartgwt.linker

# Class SmartGwtMultiWinTypeSync

java.lang.Object
com.google.gwt.core.ext.Linker
com.google.gwt.core.ext.linker.AbstractLinker
com.smartgwt.linker.SmartGwtMultiWinTypeSync

@Shardable @LinkerOrder(POST) public class SmartGwtMultiWinTypeSync extends AbstractLinker

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `SmartGwtMultiWinTypeSync.NextSearchTarget`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `FUNC_BODY_REGEX`
  `static final String`
  `MULTIWINDOW`
  `static final String`
  `TYPE_CALL_REGEX`
  `static final String`
  `TYPE_MARKER_FUNC`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SmartGwtMultiWinTypeSync()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected SyntheticArtifact`
  `emitString(TreeLogger logger, String what, String partialPath, LinkerContext context)`
  `String`
  `getDescription()`
  `ArtifactSet`
  `link(TreeLogger logger, LinkerContext context, ArtifactSet artifacts, boolean permutation)`

  ### Methods inherited from class com.google.gwt.core.ext.linker.AbstractLinker

  `emitBytes, emitBytes, emitInputStream, emitInputStream, emitString, emitString, emitWithStrongName, emitWithStrongName`

  ### Methods inherited from class com.google.gwt.core.ext.Linker

  `isShardable, link, relink, supportsDevModeInJunit`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TYPE_MARKER_FUNC

    public static final String TYPE_MARKER_FUNC
    See Also:
      - Constant Field Values

  - ### MULTIWINDOW

    public static final String MULTIWINDOW
    See Also:
      - Constant Field Values

  - ### FUNC_BODY_REGEX

    public static final String FUNC_BODY_REGEX
    See Also:
      - Constant Field Values

  - ### TYPE_CALL_REGEX

    public static final String TYPE_CALL_REGEX
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SmartGwtMultiWinTypeSync

    public SmartGwtMultiWinTypeSync()

- ## Method Details

  - ### getDescription

    public String getDescription()
    Specified by:
      `getDescription` in class `Linker`

  - ### emitString

    protected SyntheticArtifact emitString(TreeLogger logger, String what, String partialPath, LinkerContext context) throws UnableToCompleteException
    Throws:
      `UnableToCompleteException`

  - ### link

    public ArtifactSet link(TreeLogger logger, LinkerContext context, ArtifactSet artifacts, boolean permutation) throws UnableToCompleteException
    Overrides:
      `link` in class `Linker`
    Throws:
      `UnableToCompleteException`